Profile

Cover photo
51 followers|12,000 views
AboutPosts

Stream

Steam Condenser

Shared publicly  - 
 
New versions are available now.

Ruby is now at 1.3.9.
PHP and Java are now at 1.3.8.

All versions improve error handling of socket connections. This is especially important if you use Steam Condenser for RCON.

The new PHP version also includes better error handling for XML data. If Steam has problems serving data, you'll now know.

The new Java version also includes fixes for packet encoding errors.
1
1
Sebastian Staudt's profile photo
Add a comment...

Steam Condenser

Shared publicly  - 
 
 
Version 2 is available now.

It comes almost right on time for the Steam Summer Sale 2014. You can now see all your cards, emoticons, backgrounds etc. in your Steam inventory.

To celebrate the release of version 2, Suitcase is now 50% off until 6/25.

http://appstore.com/sebastianstaudt/suitcase
Get a quick overview about all items in an inventory. All items will be displayed with their name and an icon as known from the games. Additionally, you can see the quality of an item with a quick glance at the (optional) colored bar left to its icon.2. Swiping down will show the search bar ...
View original post
1
Add a comment...

Steam Condenser

Shared publicly  - 
 
New versions have been released. 1.3.8 (Ruby) / 1.3.7 (PHP & Java) bring support for additional Steam group information and various fixes and improvements.
Installation. The latest stable releases of Steam Condenser are listed below: Ruby: 1.3.7; Java: 1.3.6; PHP: 1.3.6. Packages. Ruby. The prefered way to integrate the Steam Condenser gem into your project is using Bundler. Just specify a dependency in your Gemfile : ...
3
1
Sebastian Staudt's profile photo
Add a comment...

Steam Condenser

Shared publicly  - 
 
New versions are available: 1.3.7 for Ruby and 1.3.6 for Java and PHP. In this patch RCON reliability has been improved and Web API calls have been fixed when not supplying an API key.

Additionally for PHP and Java, querying the GoldSrc master servers is now fixed and there's a new method WebApi.getInterfaces(). This is already available for Ruby.
3
1
Steam Condenser's profile photoElliot Hesp's profile photoSebastian Staudt's profile photo
2 comments
 
Nice thank you :)
Add a comment...

Steam Condenser

Shared publicly  - 
 
The master branch has been removed from the koraktor/steam-condenser repository. gh-pages is the only useful branch and the new default.

There's no need to keep a reference to all implementation specific repositories using submodules.
1
Add a comment...

Steam Condenser

Shared publicly  - 
 
 
Version 1.1.0 is now available from the App Store.
View original post
1
Add a comment...
Have them in circles
51 people
Gregory Loscombe's profile photo
台灣玉入口網站's profile photo
jason kinney's profile photo
GMHitsu's profile photo
Lewis Keen's profile photo
Arsalan Autos's profile photo
台灣花蓮靚報's profile photo
Axel Sachmann's profile photo
CityLife RPG's profile photo

Steam Condenser

Shared publicly  - 
 
 
Version 1.2.0 has been released.

It features several improvements including better performance and error handling.
Holen Sie sich „Suitcase“ im App Store. Sehen Sie sich Screenshots, Bewertungen und Kundenrezensionen dazu an.
View original post
1
Add a comment...

Steam Condenser

Shared publicly  - 
 
Version 1.3.6 for PHP is now finally available via Composer / Packagist. The delay was caused by an outdated composer.json. Sorry for the inconvenience.
2
1
Sebastian Staudt's profile photo
Add a comment...

Steam Condenser

Shared publicly  - 
 
 
To celebrate the arrival of iOS 7 Suitcase is 50% off unitl tomorrow.
Get Suitcase on the App Store. See screenshots and ratings, and read customer reviews.
View original post
1
Add a comment...

Steam Condenser

Shared publicly  - 
 
New versions are available: 1.3.6 for Ruby and 1.3.5 for Java and PHP. With this version Web API now defaults to HTTPS. Other bugfixes and improvements are included, too.

Most importantly, the Ruby gem no longer depends on the bzip2-ruby gem. This means that finally Steam Condenser is compatible with Ruby 2.0.0 and JRuby.
Steam Condenser. The Steam Condenser is a multi-language library for querying the Steam Community, Source and GoldSrc game servers as well as the Steam master servers. Currently it is implemented in Java, PHP and Ruby. If you want to keep up with the latest development, follow Steam Condenser on ...
1
Add a comment...

Steam Condenser

Shared publicly  - 
 
Now that Ruby 1.8.7 is discontinued, Steam Condenser won’t stay backwards compatible. Be sure to update your Ruby installation if you're still running on 1.8.x.

Future versions (2.x) of Steam Condenser will surely stop working on Ruby 1.8. 
1
Add a comment...

Steam Condenser

Shared publicly  - 
 
New versions have been released. Ruby is now at 1.3.5. Java and PHP have arrived at 1.3.4.

All implementations include some fixes to inventory handling.
The Java library includes additional important fixes for resource leaks and various exceptions in game server queries.
2
1
Sebastian Staudt's profile photo
Add a comment...
People
Have them in circles
51 people
Gregory Loscombe's profile photo
台灣玉入口網站's profile photo
jason kinney's profile photo
GMHitsu's profile photo
Lewis Keen's profile photo
Arsalan Autos's profile photo
台灣花蓮靚報's profile photo
Axel Sachmann's profile photo
CityLife RPG's profile photo
Contact Information
Contact info
Email
Story
Tagline
Ruby, Java and PHP library to query Steam and game servers
Introduction
The Steam Condenser is a multi-language library for querying the Steam Community, Source and GoldSrc game servers as well as the Steam master servers. Currently it is implemented in Ruby, Java and PHP.